Package Gnumed :: Package timelinelib :: Package wxgui :: Package dialogs :: Module categoryeditor :: Class WxCategoryEdtiorDialog |
[frames] | no frames]

# Class WxCategoryEdtiorDialog

source code

    wx.Dialog --+
                |
               WxCategoryEdtiorDialog

Instance Methods
__init__(self, parent, title, timeline, category) | source code
set_category_tree(self, tree) | source code
get_name(self) | source code
set_name(self, new_name) | source code
get_color(self) | source code
get_font_color(self) | source code
set_color(self, new_color) | source code
set_font_color(self, new_color) | source code
get_parent(self) | source code
set_parent(self, parent) | source code
close(self) | source code
handle_invalid_name(self, name) | source code
handle_used_name(self, name) | source code
handle_db_error(self, e) | source code
get_edited_category(self) | source code